//var self_editor_items=['fullscreen','fontname','fontsize','|','forecolor','hilitecolor','bold','italic','underline','removeformat','|','justifyleft','justifycenter','justifyright','link','unlink','|','emoticons','image','multiimage','source'];
/*items : [
	'source', '|', 'undo', 'redo', '|', 'preview', 'print', 'template', 'code', 'cut', 'copy', 'paste',
	'plainpaste', 'wordpaste', '|', 'justifyleft', 'justifycenter', 'justifyright',
	'justifyfull', 'insertorderedlist', 'insertunorderedlist', 'indent', 'outdent', 'subscript',
	'superscript', 'clearhtml', 'quickformat', 'selectall', '|', 'fullscreen', '/',
	'formatblock', 'fontname', 'fontsize', '|', 'forecolor', 'hilitecolor', 'bold',
	'italic', 'underline', 'strikethrough', 'lineheight', 'removeformat', '|', 'image', 'multiimage',
	'flash', 'media', 'insertfile', 'table', 'hr', 'emoticons', 'baidumap', 'pagebreak',
	'anchor', 'link', 'unlink', '|', 'about'
],*/
function EditorOnA(onImg,offImg,content,width,height,_allowFileManager,_filterMode,_resizeType,_imageSizeLimit,_items)
{
    if($$(onImg))$$(onImg).style.display="none";
    if($$(offImg))$$(offImg).style.display="";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    }     
    KindEditor.basePath="/Assist/tool/editor/";
    if(_items==null)
    {
        self_editor1=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit});
    }
    else
    {
        self_editor1=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit,items:_items});
    }
}
function EditorOffA(onImg,offImg,content,width,height)
{
    $$(onImg).style.display="";
    $$(offImg).style.display="none";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    } 
    if(self_editor1)
    {
        self_editor1.remove();
        self_editor1=null;
    }
}
//
function EditorOnB(onImg,offImg,content,width,height,_allowFileManager,_filterMode,_resizeType,_imageSizeLimit,_items)
{
    if($$(onImg))$$(onImg).style.display="none";
    if($$(offImg))$$(offImg).style.display="";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    }     
    KindEditor.basePath="/Assist/tool/editor/";
    if(_items==null)
    {
        self_editor2=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit});
    }
    else
    {
        self_editor2=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit,items:_items});
    }
}
function EditorOffB(onImg,offImg,content,width,height)
{
    $$(onImg).style.display="";
    $$(offImg).style.display="none";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    } 
    if(self_editor2)
    {
        self_editor2.remove();
        self_editor2=null;
    }
}
//
function EditorOnC(onImg,offImg,content,width,height,_allowFileManager,_filterMode,_resizeType,_imageSizeLimit,_items)
{
    if($$(onImg))$$(onImg).style.display="none";
    if($$(offImg))$$(offImg).style.display="";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    }     
    KindEditor.basePath="/Assist/tool/editor/";
    if(_items==null)
    {
        self_editor3=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit});
    }
    else
    {
        self_editor3=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit,items:_items});
    }
}
function EditorOffC(onImg,offImg,content,width,height)
{
    $$(onImg).style.display="";
    $$(offImg).style.display="none";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    } 
    if(self_editor3)
    {
        self_editor3.remove();
        self_editor3=null;
    }
}
//
function EditorOnD(onImg,offImg,content,width,height,_allowFileManager,_filterMode,_resizeType,_imageSizeLimit,_items)
{
    if($$(onImg))$$(onImg).style.display="none";
    if($$(offImg))$$(offImg).style.display="";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    }     
    KindEditor.basePath="/Assist/tool/editor/";
    if(_items==null)
    {
        self_editor4=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit});
    }
    else
    {
        self_editor4=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit,items:_items});
    }
}
function EditorOffD(onImg,offImg,content,width,height)
{
    $$(onImg).style.display="";
    $$(offImg).style.display="none";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    } 
    if(self_editor4)
    {
        self_editor4.remove();
        self_editor4=null;
    }
}
//
function EditorOnE(onImg,offImg,content,width,height,_allowFileManager,_filterMode,_resizeType,_imageSizeLimit,_items)
{
    if($$(onImg))$$(onImg).style.display="none";
    if($$(offImg))$$(offImg).style.display="";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    }    
    KindEditor.basePath="/Assist/tool/editor/";
    if(_items==null)
    {
        self_editor5=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit});
    }
    else
    {
        self_editor5=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit,items:_items});
    }
}
function EditorOffE(onImg,offImg,content,width,height)
{
    $$(onImg).style.display="";
    $$(offImg).style.display="none";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    } 
    if(self_editor5)
    {
        self_editor5.remove();
        self_editor5=null;
    }
}
//
function EditorOnF(onImg,offImg,content,width,height,_allowFileManager,_filterMode,_resizeType,_imageSizeLimit,_items)
{
    if($$(onImg))$$(onImg).style.display="none";
    if($$(offImg))$$(offImg).style.display="";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    }    
    KindEditor.basePath="/Assist/tool/editor/";
    if(_items==null)
    {
        self_editor6=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit});
    }
    else
    {
        self_editor6=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit,items:_items});
    }
}
function EditorOffF(onImg,offImg,content,width,height)
{
    $$(onImg).style.display="";
    $$(offImg).style.display="none";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    } 
    if(self_editor6)
    {
        self_editor6.remove();
        self_editor6=null;
    }
}
//
function EditorOnG(onImg,offImg,content,width,height,_allowFileManager,_filterMode,_resizeType,_imageSizeLimit,_items)
{
    if($$(onImg))$$(onImg).style.display="none";
    if($$(offImg))$$(offImg).style.display="";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    }     
    KindEditor.basePath="/Assist/tool/editor/";
    if(_items==null)
    {
        self_editor7=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit});
    }
    else
    {
        self_editor7=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit,items:_items});
    }
}
function EditorOffG(onImg,offImg,content,width,height)
{
    $$(onImg).style.display="";
    $$(offImg).style.display="none";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    } 
    if(self_editor7)
    {
        self_editor7.remove();
        self_editor7=null;
    }
}
//
function EditorOnH(onImg,offImg,content,width,height,_allowFileManager,_filterMode,_resizeType,_imageSizeLimit,_items)
{
    if($$(onImg))$$(onImg).style.display="none";
    if($$(offImg))$$(offImg).style.display="";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    }     
    KindEditor.basePath="/Assist/tool/editor/";
    if(_items==null)
    {
        self_editor8=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit});
    }
    else
    {
        self_editor8=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit,items:_items});
    }
}
function EditorOffH(onImg,offImg,content,width,height)
{
    $$(onImg).style.display="";
    $$(offImg).style.display="none";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    } 
    if(self_editor8)
    {
        self_editor8.remove();
        self_editor8=null;
    }
}
//
function EditorOnI(onImg,offImg,content,width,height,_allowFileManager,_filterMode,_resizeType,_imageSizeLimit,_items)
{
    if($$(onImg))$$(onImg).style.display="none";
    if($$(offImg))$$(offImg).style.display="";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    }    
    KindEditor.basePath="/Assist/tool/editor/";
    if(_items==null)
    {
        self_editor9=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit});
    }
    else
    {
        self_editor9=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit,items:_items});
    }
}
function EditorOffI(onImg,offImg,content,width,height)
{
    $$(onImg).style.display="";
    $$(offImg).style.display="none";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    } 
    if(self_editor9)
    {
        self_editor9.remove();
        self_editor9=null;
    }
}
//
function EditorOnJ(onImg,offImg,content,width,height,_allowFileManager,_filterMode,_resizeType,_imageSizeLimit,_items)
{
    if($$(onImg))$$(onImg).style.display="none";
    if($$(offImg))$$(offImg).style.display="";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    }    
    KindEditor.basePath="/Assist/tool/editor/";
    if(_items==null)
    {
        self_editor10=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit});
    }
    else
    {
        self_editor10=KindEditor.create("#"+content,{cssPath:"/Assist/tool/editor/plugins/code/prettify.css",uploadJson:"/Assist/tool/editor/asp.net/upload_json.ashx",fileManagerJson:"/Assist/tool/editor/asp.net/file_manager_json.ashx",allowFileManager:_allowFileManager,filterMode:_filterMode,resizeType:_resizeType,imageSizeLimit:_imageSizeLimit,items:_items});
    }
}
function EditorOffJ(onImg,offImg,content,width,height)
{
    $$(onImg).style.display="";
    $$(offImg).style.display="none";    
    if(document.all)
    {    
        $$(content).style.width=width;
        $$(content).style.height=height;
    }  
    else
    {    
        $$(content).style.width=width+"px";
        $$(content).style.height=height+"px";
    } 
    if(self_editor10)
    {
        self_editor10.remove();
        self_editor10=null;
    }
}